Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.service.importer
Interface OsgiServiceLifecycleListener

All Known Implementing Classes:
  OsgiServiceLifecycleListenerAdapter, ServiceProviderTCCLInterceptor.ServiceProviderTCCLListener

    public interface OsgiServiceLifecycleListener

Listener tracking binding and unbinding of OSGi services used as normal object references inside a Spring application context. Implementations can throws exceptions if they need/have to but they are not be propagated to other listeners nor do they stop the other listeners from being notified.

Author:
  Costin Leau

Method Summary
`void` | `bind(Object service, Map properties)` Called when a service is being binded inside the proxy (be it single or multi value).
`void` | `unbind(Object service, Map properties)` Called when a service is being unbinded inside the proxy (be it single or multi value).

Method Detail

### bind

    void bind(Object service,
              Map properties)
              throws Exception

  Called when a service is being binded inside the proxy (be it single or multi value). The service properties are made available as a `Map` which can be safely cast to a `Dictionary` if needed.

  Parameters:
    `service` - the OSGi service instance
    `properties` - the service properties
  Throws:
    `Exception` - custom exception that is logged but not propagated to other listeners

### unbind

    void unbind(Object service,
                Map properties)
                throws Exception

  Called when a service is being unbinded inside the proxy (be it single or multi value). The service properties are made available as a `Map` which can be safely cast to a `Dictionary` if needed.

  Parameters:
    `service` - the OSGi service instance
    `properties` - the service properties
  Throws:
    `Exception` - custom exception that is logged but not propagated to other listeners

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2012. All Rights Reserved.